package br.usp.nds.agualastro.integracao;

import java.util.Arrays;

public class Mensagem {

	private int[] sensores = new int[8];
	private float latitude;
	private float longitude;
	private byte[] instante;
	private String email;

	public Mensagem(int[] sensores, float latitude, float longitude, byte[] instante, String email) {
		this.sensores = sensores;
		this.latitude = latitude;
		this.longitude = longitude;
		this.instante = instante;
		this.email = email;
	}
	
	@Override
	public String toString() {
		return "Mensagem [sensores=" + Arrays.toString(sensores)
				+ ", latitude=" + latitude + ", longitude=" + longitude
				+ ", instante=" + Arrays.toString(instante) + "]";
	}

	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public byte[] getInstante() {
		return instante;
	}
	public void setInstante(byte[] instante) {
		this.instante = instante;
	}
	public float getLatitude() {
		return latitude;
	}
	public void setLatitude(float latitude) {
		this.latitude = latitude;
	}
	public float getLongitude() {
		return longitude;
	}
	public void setLongitude(float longitude) {
		this.longitude = longitude;
	}
	public int[] getSensores() {
		return sensores;
	}
	public void setSensores(int[] sensores) {
		this.sensores = sensores;
	}
}
